<?php

declare(strict_types=1);

namespace Apexl\Io\NotifierTwilio\Factories;

use Apexl\Io\NotifierTwilio\Dtos\TwilioConfigDto;
use DI\Container;
use Twilio\Rest\Client;

final readonly class TwilioClientFactory
{
    public function __construct(private TwilioConfigDto $config)
    {
    }

    public function make(): Client
    {
        return new Client($this->config->sid, $this->config->token);
    }
}
